Propriétaire requis
L’API renvoie 403 Forbidden pour signaler ce problème. Son type est https://lingo.dev/docs/api/errors/owner-required. Consultez Erreurs et codes de statut pour découvrir la structure commune à toutes les erreurs.
Seul un Propriétaire de l’organisation <organizationId> peut attribuer le rôle Propriétaire à une autre personne. Demandez à un Propriétaire de cette organisation de s’en charger.
Champs#
Outre les membres standard type, status, title et detail, le corps contient les champs suivants. Le texte detail est généré à partir de ces champs, ce qui permet à un client d’afficher son propre texte à la place.
| Champ | Type |
|---|---|
organizationId | string |
action | "grantOwner" | "revokeOwner" | "manageSso" | "createScimKey" | "changeScimKeyRole" | "revokeScimKey" |
Exemple#
json
{
"detail": "Only an Owner of organization <organizationId> can give someone the Owner role. Ask an Owner of this organization to do it.",
"organizationId": "<organizationId>",
"action": "grantOwner",
"type": "https://lingo.dev/docs/api/errors/owner-required",
"status": 403,
"title": "Owner required"
}Renvoyée par#
DELETE /v2/service-api-keys/{id}PATCH /v2/organizations/{orgId}/members/{userId}PATCH /v2/organizations/{orgId}/ssoPATCH /v2/service-api-keys/{id}POST /v2/organizations/{orgId}/service-api-keys/scimPOST /v2/organizations/{orgId}/sso/disconnectPUT /v2/organizations/{orgId}/sso